summaryrefslogtreecommitdiffstats
path: root/kubernetes/policy/charts/drools/resources/config
diff options
context:
space:
mode:
authorJorge Hernandez <jh1730@att.com>2018-05-03 14:08:42 -0500
committerJorge Hernandez <jh1730@att.com>2018-05-07 19:48:32 -0500
commitd38b89bd965a703ff4070f47956a5aba249c3415 (patch)
tree11cc4f8c7c78afb2a40113108690b2b53d6d382e /kubernetes/policy/charts/drools/resources/config
parent891e1d12cccb1986238b48e7bd2e25476dcfa90c (diff)
install controlloop drools applications
it will get the proper control loop application on the fly to minimize space used in configmaps. upgrades mariadb to latest stable version (previous one used by policy was outdated). fixes pessimistic lock DB problems on PE side fixes outdated policy-keystore overriding the image one Change-Id: Ia78d23b57b4e314c44c97912d544b85d0d6c9c5e Issue-ID: POLICY-766 Signed-off-by: Jorge Hernandez <jh1730@att.com>
Diffstat (limited to 'kubernetes/policy/charts/drools/resources/config')
-rw-r--r--kubernetes/policy/charts/drools/resources/config/opt/policy/config/drools/drools-preinstall.sh52
1 files changed, 52 insertions, 0 deletions
diff --git a/kubernetes/policy/charts/drools/resources/config/opt/policy/config/drools/drools-preinstall.sh b/kubernetes/policy/charts/drools/resources/config/opt/policy/config/drools/drools-preinstall.sh
new file mode 100644
index 0000000000..8b290128b3
--- /dev/null
+++ b/kubernetes/policy/charts/drools/resources/config/opt/policy/config/drools/drools-preinstall.sh
@@ -0,0 +1,52 @@
+#!/bin/bash
+#
+# ============LICENSE_START=======================================================
+# ONAP
+# ================================================================================
+# Copyright (C) 2018 AT&T Intellectual Property. All rights reserved.
+# ================================================================================
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+# ============LICENSE_END=========================================================
+#
+
+# #################################
+# Usage
+# #################################
+
+function usage {
+ echo
+ echo "Usage: $(basename $0)"
+ echo
+}
+
+if [[ ${DEBUG} == y ]]; then
+ set -x
+fi
+
+if [[ -z ${BUILD_VERSION} ]]; then
+ echo "no BUILD_VERSION available as environment variable""
+ usage
+ exit 1
+fi
+
+if [[ -z ${POLICY_INSTALL} ]]; then
+ echo "no POLICY_INSTALL available as environment variable""
+ usage
+ exit 2
+fi
+
+CONFIG_DIR=$(dirname "$0")
+echo "invoking ${CONFIG_DIR}/apps-install.sh for controlloop ${BUILD_VERSION} at ${POLICY_INSTALL}"
+export DEBUG=y
+bash ${CONFIG_DIR}/apps-install.sh controlloop ${BUILD_VERSION} ${POLICY_INSTALL}
+unzip -o ${POLICY_INSTALL}/app*.zip -d ${POLICY_INSTALL}